<project name="JNode-Shell-Tests" default="all" basedir=".">

	<import file="${basedir}/../all/build.xml"/>

	<target name="help" description="output target descriptions">
		<echo>
The main targets (tests) for this build are as follows:
all   	     Runs all tests for this project
all-blackbox Runs all blackbox tests for this project
all-junit    Runs all JUnit tests for this project
bjorne	     Runs the bjorne interpreter blackbox-tests
help         Output these messages
		</echo>
	</target>
	
	<!-- FIXME - I think that we need some 'Ant magic' for running blackbox tests.
	     For a start, we need to be able to set the blackbox options (-E, -F, -v, -d, etc) 
	     once in an Ant property. -->

	<target name="bjorne">
		<java classpathref="cp-test" classname="org.jnode.test.shell.harness.TestHarness">
			<arg value="-E"/>
			<arg value="-v"/>
			<arg value="-s"/>
			<arg value="${root.dir}"/>
			<arg value="${basedir}/src/test/org/jnode/test/shell/bjorne/bjorne-shell-tests.xml"/>
		</java>
		<java classpathref="cp-test" classname="org.jnode.test.shell.harness.TestHarness">
			<arg value="-E"/>
			<arg value="-v"/>
			<arg value="-s"/>
			<arg value="${root.dir}"/>
			<arg value="${basedir}/src/test/org/jnode/test/shell/bjorne/bjorne-builtin-tests.xml"/>
		</java>
	</target>

	<target name="all-blackbox">
		<java classpathref="cp-test" classname="org.jnode.test.shell.harness.TestHarness">
			<arg value="-E" />
			<arg value="-v"/>
			<arg value="-s" />
			<arg value="${root.dir}" />
			<arg value="${basedir}/src/test/org/jnode/test/shell/all-tests.xml" />
		</java>
	</target>

	<target name="all-junit">
		<junit showoutput="on" printsummary="on" fork="on">
			<classpath refid="cp-test"/>
			<batchtest fork="yes">
				<fileset dir="${basedir}/src/test">
					<include name="**/*Test.java" />
					<!-- 
						FIXME - Some of the unit tests may need to be excluded if they cannot be 
					    made to run in classic Java from the sandbox command line.
					 -->
				</fileset>
			</batchtest>
		</junit>
	</target>

	<target name="all" depends="all-junit,all-blackbox" />

</project>


